Functions
Functions
Graphics » HAL GFX » GFX UTILS
Collaboration diagram for Functions:

## Functions
float | hal_gfx_get_time (void)
| Return system timestamp in second, need to porting. More...
float | hal_gfx_get_wall_time (void)
| Return system timestamp in millisecond, need to porting. More...
hal_gfx_buffer_t | hal_gfx_load_file (const char *filename, int length, void *buffer)
| load file to buffer, need to porting More...
int | hal_gfx_save_file (const char *filename, int length, void *buffer)
| save buffer to file, need to porting More...
unsigned int | hal_gfx_rand (void)
| generate a random number, need to porting More...
void | hal_gfx_calculate_fps (void)
| calculate the fps, need to porting More...
float | hal_gfx_calculate_fps_ext (float start_time, uint32_t frame)
| calculate the fps, need to porting More...
void * | hal_gfx_memcpy (void *destination, const void *source, size_t num)
| memcpy function, need to porting More...

## Detailed Description

## Function Documentation

## ◆ hal_gfx_calculate_fps()

void hal_gfx_calculate_fps | ( | void |  | ) |

calculate the fps, need to porting

Returns
  none

## ◆ hal_gfx_calculate_fps_ext()

float hal_gfx_calculate_fps_ext | ( | float | start_time,
|  | uint32_t | frame
| ) |  |

calculate the fps, need to porting

Parameters

  [in] | start_time | start timestamp in ms
  [in] | frame | frame count from start_time

Returns
  fps

## ◆ hal_gfx_get_time()

float hal_gfx_get_time | ( | void |  | ) |

Return system timestamp in second, need to porting.

Returns
  timestamp in second

## ◆ hal_gfx_get_wall_time()

float hal_gfx_get_wall_time | ( | void |  | ) |

Return system timestamp in millisecond, need to porting.

Returns
  timestamp in millisecond

## ◆ hal_gfx_load_file()

hal_gfx_buffer_t hal_gfx_load_file | ( | const char * | filename,
|  | int | length,
|  | void * | buffer
| ) |  |

load file to buffer, need to porting

Returns
  the struct to save buffer

## ◆ hal_gfx_memcpy()

void* hal_gfx_memcpy | ( | void * | destination,
|  | const void * | source,
|  | size_t | num
| ) |  |

memcpy function, need to porting

Parameters

  [in] | destination | destination address
  [in] | source | source address
  [in] | num | copy data in bytes

Returns
  destination address

## ◆ hal_gfx_rand()

unsigned int hal_gfx_rand | ( | void |  | ) |

generate a random number, need to porting

Returns
  random number

## ◆ hal_gfx_save_file()

int hal_gfx_save_file | ( | const char * | filename,
|  | int | length,
|  | void * | buffer
| ) |  |

save buffer to file, need to porting

Returns
  0 - successful; other - fail